package com.ruoyi.device.mqtt.vo;

/**
 * topic主题的固定格式解析对象 cpyypt/up/{deviceType}/{deviceSn}
 * （deviceType设备类型 + deviceSn网关/SN）
 *
 * @author lwm
 */
public class CommonTopic
{
    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 网关/SN
     */
    private Long deviceSn;

    public CommonTopic(String deviceType, Long deviceSn)
    {
        this.deviceType = deviceType;
        this.deviceSn = deviceSn;
    }

    public Long getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(Long deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }
}
